<?php 
/**
 * The template for displaying a regular width thumbnail
 *
 * @package WordPress
 * @subpackage Edition
 * @since Edition 1.0
 */ 
global $tw_entry; // Get post options  ?>

<?php if ( $tw_entry->thumbnail_class == 'has-thumbnail' && ! $tw_entry->has_media && $tw_entry->featured_class == 'no-full-image' ) : ?>
	<div class="righttitle">
    	<div class="featuredimage">
    		<?php
    			if ( $tw_entry->post_columns == 1 ) : 
    				the_post_thumbnail('fullslideshow');
    			else :
    				the_post_thumbnail('contentslideshownc');
    			endif;
			    if ( get_post(get_post_thumbnail_id())->post_excerpt ) {
				    echo '<div class="wp-caption-text gallery-caption"><span>';
				    echo get_post(get_post_thumbnail_id())->post_excerpt;
				    echo '</div></span>';
			    }
    		?>
    	</div>
	</div>
	<div class="clear"></div>
<?php endif; ?>

<?php if ( $tw_entry->has_media ) : ?>
	<div class="righttitle">
    	<div class="featuredimage">
    		<?php 
	    		if (filter_var($tw_entry->media, FILTER_VALIDATE_URL) === FALSE) {
				    echo do_shortcode( $tw_entry->media );
				} else {
					echo apply_filters('the_content', $tw_entry->media);
				}
    		?>
    	</div>
	</div>
	<div class="clear"></div>
<?php endif; ?>